GUI requires gksu in dependencies

Bug #1312048 reported by mark johnson
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Wake On Plan
Triaged
Critical
Serhiy Zahoriya

Bug Description

The Wakeonplan GUI requires root privileges, otherwise setting an alarm results in a "File not found" message.
However, when running the application, there is no prompt for the user to enter a password and give root privileges.

gparted achieves this by using pkexec and putting a policy file in /usr/share/polkit-1/actions/com.ubuntu.pkexec.gparted.policy
Perhaps wakeonplan could do something similar?

Revision history for this message
Serhiy Zahoriya (xintx-ua) wrote :

It requires gksudo in dependencies, but not really root. Workaround is as easy as
 sudo apt-get install gksu

I've already switched to pkexec in the QML version (check the code tab) but it was a big surprise for me that new Ubuntu SDK currently supports packaging only for Ubuntu Phone. Thus, it's not released yet.

summary: - GUI requires root, but doesn't prompt for permissions
+ GUI requires gksu in dependencies
Changed in wakeonplan:
status: New → Triaged
assignee: nobody → Serhiy Zahoriya (xintx-ua)
importance: Undecided → Critical
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers